Bug 1451456 (compat-tidy) - Review Request: compat-tidy - Compatibility utility and library to clean up and pretty print HTML/XHTML/XML
Summary: Review Request: compat-tidy - Compatibility utility and library to clean up a...
Keywords:
Status: CLOSED ERRATA
Alias: compat-tidy
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1450984
TreeView+ depends on / blocked
 
Reported: 2017-05-16 16:42 UTC by Rex Dieter
Modified: 2017-06-10 04:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-10 04:28:50 UTC
Type: ---
fedora: fedora-review+


Attachments (Terms of Use)

Description Rex Dieter 2017-05-16 16:42:45 UTC
Spec URL: https://rdieter.fedorapeople.org/rpms/tidy/compat-tidy.spec
SRPM URL: https://rdieter.fedorapeople.org/rpms/tidy/compat-tidy-0.99.0-35.20091203.src.rpm
Description: Compatibility utility and library to clean up and pretty print HTML/XHTML/XML
Fedora Account System Username: rdieter

This is a compatibility package for (epel) packages not ready to use newer tidy-5.x or newer (includes php-extras)

Comment 1 Rex Dieter 2017-05-16 16:43:31 UTC
epel7 Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=19588614

Comment 2 Remi Collet 2017-05-23 05:29:14 UTC
Minimal review (diffing with old tidy spec file)

Everything seems ok.

+%global libname compat-libtidy

macro name is a bit confusing ;)

-Obsoletes: tidy-devel < 0.99.0-10
-Provides:  tidy-devel = %{version}-%{release}

Perhaps you could have keep this, but as very old (fc6 time), we can hope no package still requires "tidy-devel".


=== APPROVED ===

Comment 3 Gwyn Ciesla 2017-05-24 12:51:42 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/compat-tidy

Comment 4 Fedora Update System 2017-05-24 14:38:06 UTC
psi-plus-0.16-0.22.20141205git440.el7 mod_auth_openid-0.8-2.el7 libopkele-2.0.4-9.el7 compat-tidy-0.99.0-35.20091203.el7 tidy-5.4.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c0b04702c2

Comment 5 Fedora Update System 2017-05-24 19:34:53 UTC
compat-tidy-0.99.0-37.20091203.el7 libopkele-2.0.4-9.el7 mod_auth_openid-0.8-2.el7 psi-plus-0.16-0.22.20141205git440.el7 tidy-5.4.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c0b04702c2

Comment 6 Fedora Update System 2017-05-26 04:26:27 UTC
compat-tidy-0.99.0-37.20091203.el7, libopkele-2.0.4-9.el7, mod_auth_openid-0.8-2.el7, psi-plus-0.16-0.22.20141205git440.el7, tidy-5.4.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c0b04702c2

Comment 7 Fedora Update System 2017-06-10 04:28:50 UTC
compat-tidy-0.99.0-37.20091203.el7, libopkele-2.0.4-9.el7, mod_auth_openid-0.8-2.el7, psi-plus-0.16-0.22.20141205git440.el7, tidy-5.4.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.